Module javafx.media
Package javafx.scene.media

# Class AudioEqualizer

java.lang.Object
javafx.scene.media.AudioEqualizer

    public final class AudioEqualizer
    extends Object

The `AudioEqualizer` class provides audio equalization control for a media player. It contains an `ObservableList` of `EqualizerBand` elements. Each `AudioEqualizer` instance is connected to a `MediaPlayer` and may be obtained using the `MediaPlayer.getAudioEqualizer` method.

Since:
  JavaFX 2.0
See Also:
  `MediaPlayer`, `EqualizerBand`

- ## Property Summary

  Properties
  Type | Property | Description
  --- | --- | ---
  `BooleanProperty` | `enabled` | Enables or disables `AudioEqualizer`.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `MAX_NUM_BANDS` | Maximum number of bands an `AudioEqualizer` may contain.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `BooleanProperty` | `enabledProperty()` | Enables or disables `AudioEqualizer`.
  `ObservableList<EqualizerBand>` | `getBands()` | ObservableList containing `EqualizerBand` elements.
  `boolean` | `isEnabled()` | Gets the value of the property enabled.
  `void` | `setEnabled​(boolean value)` | Sets the value of the property enabled.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### enabled

    public BooleanProperty enabledProperty
    Enables or disables `AudioEqualizer`. If the enabled property is set to `false`, `AudioEqualizer` settings are preserved but not taken into account during playback, which is equivalent to setting all `EqualizerBand.gain` properties to zero.
    Default value:
      `true`
    See Also:
      `isEnabled()`, `setEnabled(boolean)`

- ## Field Details

  - ### MAX_NUM_BANDS

    public static final int MAX_NUM_BANDS
    Maximum number of bands an `AudioEqualizer` may contain. In the current implementation this value is `64`.
    See Also:
      Constant Field Values

- ## Method Details

  - ### getBands

    public final ObservableList<EqualizerBand> getBands()
    ObservableList containing `EqualizerBand` elements. The content of the sequence may be changed by adding or removing `EqualizerBand` elements. When adding elements, the user must be prepared to catch `IllegalArgumentException`s because any change to the internal list can be vetoed if a newly added instance is not valid.

    The constraints for a valid `EqualizerBand` instance are:

    - `EqualizerBand.centerFrequency` > 0
    - `EqualizerBand.bandwidth` > 0
    - `EqualizerBand.MIN_GAIN` ≤ `EqualizerBand.gain` ≤ `EqualizerBand.MAX_GAIN`

    The default set of bands is as in the following table; all bands have unity gain (0 dB).

    AudioEqualizer Band Table
    Band Index | Center Frequency (Hz) | Bandwidth (Hz)
    --- | --- | ---
    0 | 32 | 19
    1 | 64 | 39
    2 | 125 | 78
    3 | 250 | 156
    4 | 500 | 312
    5 | 1000 | 625
    6 | 2000 | 1250
    7 | 4000 | 2500
    8 | 8000 | 5000
    9 | 16000 | 10000

    Returns:
      ObservableList containing `EqualizerBand` elements.

  - ### setEnabled

    public final void setEnabled​(boolean value)
    Sets the value of the property enabled.
    Property description:
      Enables or disables `AudioEqualizer`. If the enabled property is set to `false`, `AudioEqualizer` settings are preserved but not taken into account during playback, which is equivalent to setting all `EqualizerBand.gain` properties to zero.
    Default value:
      `true`

  - ### isEnabled

    public final boolean isEnabled()
    Gets the value of the property enabled.
    Property description:
      Enables or disables `AudioEqualizer`. If the enabled property is set to `false`, `AudioEqualizer` settings are preserved but not taken into account during playback, which is equivalent to setting all `EqualizerBand.gain` properties to zero.
    Default value:
      `true`

  - ### enabledProperty

    public BooleanProperty enabledProperty()
    Enables or disables `AudioEqualizer`. If the enabled property is set to `false`, `AudioEqualizer` settings are preserved but not taken into account during playback, which is equivalent to setting all `EqualizerBand.gain` properties to zero.
    Default value:
      `true`
    See Also:
      `isEnabled()`, `setEnabled(boolean)`